http://api.detective.{region}.amazonaws.com/orgs/adminAccountslistReturns information about the Detective administrator account for an organization. Can only be called by the organization management account.
Pagination limit
Pagination token
For requests to get the next page of results, the pagination token that was returned with the previous set of results. The initial request does not include a pagination token.
The maximum number of results to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://api.detective.{region}.amazonaws.com/orgs/adminAccountslist' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://api.detective.{region}.amazonaws.com/orgs/adminAccountslistReturns information about the Detective administrator account for an organization. Can only be called by the organization management account.
Pagination limit
Pagination token
For requests to get the next page of results, the pagination token that was returned with the previous set of results. The initial request does not include a pagination token.
The maximum number of results to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://api.detective.{region}.amazonaws.com/orgs/adminAccountslist' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}